Subject: [alpine-devel] VirtIO RNG doesn't work on ppc64le

From: DDoSolitary <[email-masked]>
Date: Mon, 28 Jan 2019 17:46:55 +0800

Hello, I'm trying to run Alpine Linux on ppc64le using qemu. While all of the other devices I'm using works well, the system can't detect the hardware RNG device added by "-device virtio-rng-pci".
After some researching, I noticed that "CONFIG_HW_RANDOM_VIRTIO" is disabled in the kernel config file for this architecture: https://git.alpinelinux.org/aports/tree/main/linux-vanilla/config-vanilla.ppc64le#n2196 but config file for all other architectures has this option set to "m".

Could you please enable this driver or let me know if there's any reason to keep it disabled. Thanks!
Regards,
DDoSolitary